---
schema_version: "1"
id: e86bfe87991aa2bee65f3e0dc308c855f3611aac7617ec740a1e5c61995c58f6
title: Get Approval Layouts
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-approvallayouts-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-approvallayouts-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 14e73824bb87a624a30afabc1bb859deafd745650b807423bd0dd3d035e17c0a
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Approval Layouts

Gets a list of approval layouts for a specified object. This resource is available in REST API version 30.0 and later.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/describe/approvalLayouts/`

**Formats:** JSON, XML

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Request parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/describe/approvalLayouts/ -H "Authorization: Bearer token"
```

**Example Response Body**

If you haven’t defined any approval layouts for an object, the response is `{"approvalLayouts" : [ ]}`.

```nolang
{
  "approvalLayouts" : [ {
    "id" : "04aD00000008Py9IAE",
    "label" : "MyApprovalProcessName",
    "layoutItems" : [...],
    "name" : "MyApprovalProcessName"
    }, {
    "id" : "04aD00000008Q0KIAU",
    "label" : "Process1",
    "layoutItems" : [...],
    "name" : "Process1"
  } ]
}

```

